This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Create Security Group

1 - 1.1

post /v1/security-groups

Description

Create Security Group.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SecurityGroupCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedSecurityGroupShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/security-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.1"

Request body

{
    "description": "Example Description for Security Group",
    "loggable": false,
    "name": "ExampleSG1",
    "tags": []
}

Example HTTP response

Response 201

{
    "security_group": {
        "account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Example Description for Security Group",
        "id": "06e5d676-f330-485a-94e9-47ac91cce09a",
        "loggable": false,
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "ExampleSG1",
        "rule_count": 200,
        "state": "ACTIVE"
    }
}

2 - 1.0

post /v1/security-groups

Description

Create Security Group.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020270131

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SecurityGroupCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedSecurityGroupShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/security-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.0"

Request body

{
    "description": "Example Description for Security Group",
    "loggable": false,
    "name": "ExampleSG1",
    "tags": []
}

Example HTTP response

Response 201

{
    "security_group": {
        "account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Example Description for Security Group",
        "id": "06e5d676-f330-485a-94e9-47ac91cce09a",
        "loggable": false,
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "ExampleSG1",
        "rule_count": 200,
        "state": "ACTIVE"
    }
}